INNWATCH(8)

NAME
innwatch - monitor innd.

SYNOPSIS
innwatch [ -l logfile ] [ -t seconds ]

DESCRIPTION
Innwatch is normally started by /etc/news/boot. It periodically — every (600) seconds — examines the load average, and the number of free blocks and inodes on the spool partition, as described by its control file, innwatch.ctl(5).

If the load gets too high, or the disk gets too full, it throttles the server. When the condition restores, it unblocks the server. In addition, on each pass through the loop it will check the logfile /var/log/news/news.crit to see if it has been modified, and send mail to the news administrator if so.

Upon receipt of an interrupt signal (SIGINT), innwatch will report its status in the file /run/innd/innwatch.status.

OPTIONS

-l  To specify a log file to watch, other than the default of news.crit, use the ``-l'' flag.

-t  To change the period between check from the default, use the ``-t'' flag.

HISTORY
Written by Mike Cooper <mcooper@usc.edu>, with modifications by <kre@munnari.oz.au>, Steve Groom <stevo@elroy.Jpl.Nasa.Gov> and Christophe Wolfhugel <wolf@pasteur.fr>.

SEE ALSO
ctlinnd(8), innwatch.ctl(5), shlock(1).